Bug 15377 - Add ability to remove 'checked out' items from course reserves
Summary: Add ability to remove 'checked out' items from course reserves
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Rogan Hamby
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-15 14:14 UTC by Nick Clemens
Modified: 2020-05-18 14:19 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This enhancement allows the removal of items that are listed on a course reserve and are checked out. Previously, checked out items could not be removed.
Version(s) released in:
20.05.00


Attachments
small patch to allow removal on course reserve items (3.30 KB, patch)
2020-01-14 19:42 UTC, Rogan Hamby
Details | Diff | Splinter Review
Bug 15377: Remove 'checked out' items from course reserves (3.35 KB, patch)
2020-02-17 06:12 UTC, David Nind
Details | Diff | Splinter Review
Bug 15377: Remove 'checked out' items from course reserves (3.40 KB, patch)
2020-02-20 15:26 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 15377: Allow removal of 'checked out' items from course reserves (3.47 KB, patch)
2020-02-29 23:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15377: (QA follow-up) Fix capitalization and column heading (1.72 KB, patch)
2020-02-29 23:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2015-12-15 14:14:56 UTC
Currently if an item is checked out it cannot be removed from course reserves.  Item types can change while on reserve, so this would have to be taken into account in allow their removal. 

I would say the current checkout should be unaffected as regards due date, but renewals/overdues should obey the original item type after removal from course
Comment 1 Hannah Olsen 2019-08-02 14:58:16 UTC
We are using the Course Reserves module and finding the inability to remove checked-out items to be a big handicap.
Comment 2 Rogan Hamby 2020-01-13 21:33:36 UTC
Removing the check for a circulation preventing the removal is fairly straightforward.  Should we add a confirmation dialogue or some visual indicator that the item is currently checked out?
Comment 3 Rogan Hamby 2020-01-13 21:33:49 UTC
Removing the check for a circulation preventing the removal is fairly straightforward.  Should we add a confirmation dialogue or some visual indicator that the item is currently checked out?
Comment 4 Hannah Olsen 2020-01-13 22:30:54 UTC
Yes, I think some sort of indicator of checked out status would be needed. Right now the status shows by default in the course reserve view, and it is italicized when the item is checked out. I think that is tied to the "can't do anything" part, but something similar could still be used to draw attention to it?
Comment 5 Rogan Hamby 2020-01-14 19:42:08 UTC
Created attachment 97369 [details] [review]
small patch to allow removal on course reserve items

I considered a confirmation dialogue that alerted the user to the fact that there was a circulation but realized the original intent was to put that information in front of the user immediately.  Thus this patch simply moves the old criteria for restricting removal of a reserve item to information in the grid.  So, the patch does two things

1) removes the restriction of not allowing a reserve to be removed if it is onloan 
2) adds a column to the display that says with the item is checked out or available based on the onloan flag
Comment 6 David Nind 2020-02-17 06:12:07 UTC
Created attachment 99065 [details] [review]
Bug 15377: Remove 'checked out' items from course reserves

1) removes the restriction of not allowing a reserve to be removed if it is onloan
2) adds a column to the display that says with the item is checked out or available based on the onloan flag

Test plan:
1) Create a new course reserves list (Home > Course reserves)
2) Add some items to the course
3) Check out an item
4) Note that the Remove button on the course list page is greyed out for
   the item checked out
5) Apply the patch
6) Refresh the page
7) Note that the Remove button is no longer greyed out
8) Click the Remove button
9) A message pops up 'Are you sure you want to remove this item from 
   the course?' - click OK
10) The item is no longer shown on the course list page

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2020-02-17 06:16:45 UTC
Comment on attachment 97369 [details] [review]
small patch to allow removal on course reserve items

Not sure what happened here - have obsoleted the old patch
Comment 8 Katrin Fischer 2020-02-19 23:17:33 UTC
Asked Kyle to take a look here and he wanted to get some libraries to take a look.
Comment 9 ByWater Sandboxes 2020-02-20 15:26:31 UTC
Created attachment 99321 [details] [review]
Bug 15377: Remove 'checked out' items from course reserves

1) removes the restriction of not allowing a reserve to be removed if it is onloan
2) adds a column to the display that says with the item is checked out or available based on the onloan flag

testplan: add an item to course reserves, check the item out, check that the Ciruclation column changes to Checked Out and that you can remove it

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Hannah Olsen <holsen@duncanville.com>
Comment 10 Katrin Fischer 2020-02-29 23:35:46 UTC
Created attachment 99845 [details] [review]
Bug 15377: Allow removal of 'checked out' items from course reserves

1) removes the restriction of not allowing a reserve to be removed if it is onloan
2) adds a column to the display that says with the item is checked out or available based on the onloan flag

testplan: add an item to course reserves, check the item out, check that the Ciruclation column changes to Checked Out and that you can remove it

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Hannah Olsen <holsen@duncanville.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2020-02-29 23:35:50 UTC
Created attachment 99846 [details] [review]
Bug 15377: (QA follow-up) Fix capitalization and column heading

Checked Out -> Checked out
Circulation -> Status (matching other pages with this information)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Martin Renvoize 2020-03-02 10:52:50 UTC
Welcome aboard Rogan Hamby, great to have a new name to add to the contributors' list :)
Comment 13 Martin Renvoize 2020-03-02 10:54:59 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 14 Joy Nelson 2020-03-31 22:46:13 UTC
enhancement not backported to 19.11.x